Name:           ucl
Version:        1.03
Release:        10%{?dist}
Summary:        Portable lossless data compression library

Group:          System Environment/Libraries
License:        GPLv2+
URL:            http://www.oberhumer.com/opensource/ucl/
Source0:        http://www.oberhumer.com/opensource/ucl/download/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
UCL is a portable lossless data compression library written in ANSI C.
UCL implements a number of compression algorithms that achieve an
excellent compression ratio while allowing *very* fast decompression.
Decompression requires no additional memory.

%package        devel
Summary:        UCL development files
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description    devel
%{summary}.


%prep
%setup -q


%build
%configure --disable-dependency-tracking --enable-shared --disable-static
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
rm $RPM_BUILD_ROOT%{_libdir}/libucl.la


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc COPYING NEWS README THANKS TODO
%{_libdir}/libucl.so.*

%files devel
%defattr(-,root,root,-)
%{_includedir}/ucl/
%{_libdir}/libucl.so


%changelog
* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.03-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.03-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Feb 08 2008 Jon Ciesla <limb@jcomserv.net> - 1.03-8
- GCC 4.3 rebuild.

* Thu Aug 16 2007 Jon Ciesla <limb@jcomserv.net> - 1.03-7
- License tag correction.

* Mon Aug 28 2006 Ville Skyttä <ville.skytta at iki.fi> - 1.03-6
- Rebuild.

* Mon Feb 13 2006 Ville Skyttä <ville.skytta at iki.fi> - 1.03-5
- Rebuild.

* Wed Nov  9 2005 Ville Skyttä <ville.skytta at iki.fi> - 1.03-4
- Don't ship static libraries.
- Build with dependency tracking disabled.

* Thu May 19 2005 Ville Skyttä <ville.skytta at iki.fi> - 1.03-3
- Rebuild.

* Fri Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net> - 1.03-2
- rebuilt

* Wed Jul 21 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:1.03-0.fdr.1
- Update to 1.03, patch applied upstream.

* Fri Apr 30 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:1.02-0.fdr.1
- Update to 1.02.

* Thu Oct 23 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:1.01-0.fdr.2
- Specfile cleanup.

* Fri Jul 25 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:1.01-0.fdr.1
- First build.
